%define name isicom
%define version 3.0
%define release 5mdk

Summary:		Multitech Intelligent Serial Internal (ISI) Support Tools
Name:			%{name}
Version:		%{version}
Release:		%{release}
Copyright:		GPL (not Firmware)
Group:			System/Kernel and hardware
URL:			http://www.multitech.com/SUPPORT/drivers/list_by_os.asp

# available from: ftp://ftp.multitech.com/ISI-Cards/Linux/linux22x.tar  
# package version unfortunately not mentioned org. package name :-(
Source:			isicom-%{version}.tar.bz2
Patch0:			isicom-%{version}-make.patch.bz2
BuildRoot:		%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
ExcludeArch:	alpha

%description
ISA-bus Multitech Intelligent Serial Internal (ISI) and Multi-Modem ISI server
card drivers for the following models:
  - ISIHP-2U,
  - ISIHP-2S,
  - ISIHI-2S,
  - ISI608,
  - ISI5634PCI/8,
  - ISI5634PCI/4,
  - ISI4608-PCI,
  - ISI4608,
  - ISI4604-PCI,
  - ISI3334/8e,
  - ISI3334/8,
  - ISI3334/4e,
  - ISI3334/4,
  - ISI2834/4

%prep

%setup -n isicom
#%patch0 -p0

%build
%make firmld

%install
mkdir -p $RPM_BUILD_ROOT/usr/{share/isicom,sbin}
#mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 firmld $RPM_BUILD_ROOT/usr/sbin
#install -m 755 isild $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m 644 *.bin $RPM_BUILD_ROOT/usr/share/isicom

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (644, root, root, 0755)
%doc README 
%attr (755,root,root) /usr/sbin/firmld
/usr/share/isicom/*.bin

%changelog
* Mon Feb 19 2001 Warly <warly@mandrakesoft.com> 3.0-5mdk
- remove require on firmware

* Fri Nov 24 2000 Warly <warly@mandrakesoft.com> 3.0-4mdk
- remove module compilation, already in standard kernel

* Fri May 26 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0-3mdk
- spec-helper
- Don't try to use -preferred-stack-boundary=2 with egcs
- Use %%{_tmppath} for BuildRoot

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0-2mdk
- ExcludeArch: alpha

* Wed Apr  5 2000 Denis Havlik <denis@havlik.org> 3.0-1mdk
- group: System/Kernel and hardware
- new makefile patch
- new description 

* Sun Nov 07 1999 John Buswell <john@mandrakesoft.com>
- Build Release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- sanitized the spec file
